Bug 817089 - WARNING! Cannot find dictionary file /usr/share/dict/words (missing dependency)
WARNING! Cannot find dictionary file /usr/share/dict/words (missing dependency)
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa (Show other bugs)
6.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Rob Crittenden
IDM QE LIST
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-27 12:29 EDT by David Kovalsky
Modified: 2014-03-31 19:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-01 11:34:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Kovalsky 2012-04-27 12:29:20 EDT
Found this in kadmind.log file:
kadmin.local[3552](Error): WARNING!  Cannot find dictionary file /usr/share/dict/words, continuing without one.

`yum install words' fixes the warning.

Should ipa-server depend on the package `words' to make Kerberos happy? Or should krb5-server itself depend on words?

# rpm -q krb5-server ipa words
krb5-server-1.9-32.el6.x86_64
words-3.0-17.el6.noarch
ipa-server-2.2.0-11.el6.x86_64
Comment 1 Rob Crittenden 2012-04-27 14:45:26 EDT
Adding krb5 maintainer to cc list.

I don't believe this is an issue for IPA. I suspect that this is used so the KDC can use cracklib to validate passwords. IPA does its own policy enforcement and this is not used.
Comment 2 Nalin Dahyabhai 2012-04-27 14:55:16 EDT
The kadmind(8) page has a bit more on what the file is used for, though it could as easily not be referenced by the default configuration.
Comment 3 Dmitri Pal 2012-05-01 11:34:12 EDT
Yes this is an issue though we think it is not worth fixing.

Note You need to log in before you can comment on or make changes to this bug.